
Infrastructure - Bug #669

Dryad MN not returning 404 correctly

2010-06-15 22:11 - Dave Vieglais

Status: Closed Start date: 2013-01-02

Priority: High Due date: 2013-01-02

Assignee: Roger Dahl % Done: 100%

Category: mn.Dryad Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone:  Story Points:  

Product Version: *   

Description

Issuing a get() against a non-existent resource returns an error document bu the status code of the response is still 200.

The HTTP status code returned in the header and the errorCode in the document should match.

History

#1 - 2010-06-21 13:18 - Roger Dahl

- Status changed from New to Closed

#2 - 2010-06-23 13:47 - Dave Vieglais

- Status changed from Closed to 4

Re-opening this because the problem still exists.  HTTP Status being returned for a non-existent object is 200 rather than the expected 404.  For

example:

curl -v dev-dryad-mn.dataone.org/mn/object/bogus

* About to connect() to dev-dryad-mn.dataone.org port 80 (#0)

*   Trying 129.24.0.11... connected

* Connected to dev-dryad-mn.dataone.org (129.24.0.11) port 80 (#0)

GET /mn/object/bogus HTTP/1.1

User-Agent: curl/7.19.7 (x86_64-pc-linux-gnu) libcurl/7.19.7 OpenSSL/0.9.8k zlib/1.2.3.3 libidn/1.15

Host: dev-dryad-mn.dataone.org

Accept: /

< HTTP/1.1 200 OK

< Date: Wed, 23 Jun 2010 13:46:44 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Vary: Cookie

< Transfer-Encoding: chunked

< Content-Type: 404

<

Non-existing scimeta object was requested: bogus'mn_prototype.mn_service.views'
https://redmine.dataone.org/projects/d1/wiki/OpenSSL


#3 - 2010-08-12 16:45 - Roger Dahl

- Status changed from 4 to Closed

I think I had not pushed the change out when you tested. It works now.

#4 - 2013-01-02 15:48 - Dave Vieglais

- Start date set to 2013-01-02

- translation missing: en.field_remaining_hours set to 0.0

- Category changed from 299 to mn.Dryad

- Due date set to 2013-01-02
